Skip to main content
POST
/
api
/
v1
/
batch-call
/
upload-json
/
{batch_id}
Add target numbers (JSON)
curl --request POST \
  --url https://api.kupe.in/api/v1/batch-call/upload-json/{batch_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "records": [
    {
      "to_phonenumber": "+919876543210",
      "name": "Ada",
      "company_name": "Acme"
    }
  ]
}
'
{}

Authorizations

x-api-key
string
header
default:YOUR_KUPE_API_KEY
required

Kupe dashboard API key for your user.

Path Parameters

batch_id
string<uuid>
required

Body

application/json
records
object[]
required
Example:
[
{
"to_phonenumber": "+919876543210",
"name": "Ada",
"company_name": "Acme"
}
]

Response

Rows inserted (failed rows counted separately)

The response is of type object.